<?xml version="1.0"?>
<options>
   <title name="PHP" />
   <comment value="WARNING ;" />
   <comment value="This is the default settings file for new PHP installations." />
   <comment value="By default, PHP installs itself with a configuration suitable for" />
   <comment value="development purposes, and *NOT* for production purposes." />
   <comment value="For several security-oriented considerations that should be taken" />
   <comment value="before going online with your site, please consult php.ini-recommended" />
   <comment value="and http://php.net/manual/en/security.php." />
   <comment value="About this file ;" />
   <comment value="This file controls many aspects of PHP's behavior.  In order for PHP to" />
   <comment value="read it, it must be named 'php.ini'.  PHP looks for it in the current" />
   <comment value="working directory, in the path designated by the environment variable" />
   <comment value="PHPRC, and in the path that was defined in compile time (in that order)." />
   <comment value="Under Windows, the compile-time path is the Windows directory.  The" />
   <comment value="path in which the php.ini file is looked for can be overridden using" />
   <comment value="the -c argument in command line mode." />
   <comment value="The syntax of the file is extremely simple.  Whitespace and Lines" />
   <comment value="beginning with a semicolon are silently ignored (as you probably guessed)." />
   <comment value="Section headers (e.g. [Foo]) are also silently ignored, even though" />
   <comment value="they might mean something in the future." />
   <comment value="Directives are specified using the following syntax:" />
   <comment value="directive = value" />
   <comment value="Directive names are *case sensitive* - foo=bar is different from FOO=bar." />
   <comment value="The value can be a string, a number, a PHP constant (e.g. E_ALL or M_PI), one" />
   <comment value="of the INI constants (On, Off, True, False, Yes, No and None) or an expression" />
   <comment value="(e.g. E_ALL &amp; ~E_NOTICE), or a quoted string (&quot;foo&quot;)." />
   <comment value="Expressions in the INI file are limited to bitwise operators and parentheses:" />
   <comment value="|        bitwise OR" />
   <comment value="&amp;        bitwise AND" />
   <comment value="~        bitwise NOT" />
   <comment value="!        boolean NOT" />
   <comment value="Boolean flags can be turned on using the values 1, On, True or Yes." />
   <comment value="They can be turned off using the values 0, Off, False or No." />
   <comment value="An empty string can be denoted by simply not writing anything after the equal" />
   <comment value="sign, or by using the None keyword:" />
   <comment value="foo =         ; sets foo to an empty string" />
   <comment value="foo = none    ; sets foo to an empty string" />
   <comment value="foo = &quot;none&quot;  ; sets foo to the string 'none'" />
   <comment value="If you use constants in your value, and these constants belong to a" />
   <comment value="dynamically loaded extension (either a PHP extension or a Zend extension),; you may only use these constants *after* the line that loads the extension." />
   <comment value="All the values in the php.ini-dist file correspond to the builtin" />
   <comment value="defaults (that is, if no php.ini is used, or if you delete these lines,; the builtin defaults will be identical)." />
   <comment value="Language Options ;" />
   <comment value="Enable the PHP scripting language engine under Apache." />
   <entry name="engine">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Allow the &lt;? tag.  Otherwise, only &lt;?php and &lt;script&gt; tags are recognized." />
   <comment value="NOTE: Using short tags should be avoided when developing applications or" />
   <comment value="libraries that are meant for redistribution, or deployment on PHP" />
   <comment value="servers which are not under your control, because short tags may not" />
   <comment value="be supported on the target server. For portable, redistributable code,; be sure not to use short tags." />
   <entry name="short_open_tag">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Allow ASP-style &lt;% %&gt; tags." />
   <entry name="asp_tags">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="The number of significant digits displayed in floating point numbers." />
   <entry name="precision">
      <option value='2'/>
      <option value='12'/>
      <option value='16'/>
      <option value='100'/>
   </entry>
   <comment value="Enforce year 2000 compliance (will cause problems with non-compliant browsers)" />
   <entry name="y2k_compliance">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Output buffering allows you to send header lines (including cookies) even" />
   <comment value="after you send body content, at the price of slowing PHP's output layer a" />
   <comment value="bit.  You can enable output buffering during runtime by calling the output" />
   <comment value="buffering functions.  You can also enable output buffering for all files by" />
   <comment value="setting this directive to On.  If you wish to limit the size of the buffer" />
   <comment value="to a certain size - you can use a maximum number of bytes instead of 'On', as" />
   <comment value="a value for this directive (e.g., output_buffering=4096)." />
   <entry name="output_buffering">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="You can redirect all of the output of your scripts to a function.  For" />
   <comment value="example, if you set output_handler to &quot;mb_output_handler&quot;, character" />
   <comment value="encoding will be transparently converted to the specified encoding." />
   <comment value="Setting any output handler automatically turns on output buffering." />
   <comment value="Note: People who wrote portable scripts should not depend on this ini" />
   <comment value="directive. Instead, explicitly set the output handler using ob_start()." />
   <comment value="Using this ini directive may cause problems unless you know what script" />
   <comment value="is doing." />
   <comment value="Note: You cannot use both &quot;mb_output_handler&quot; with &quot;ob_iconv_handler&quot;" />
   <comment value="and you cannot use both &quot;ob_gzhandler&quot; and &quot;zlib.output_compression&quot;." />
   <entry name="output_handler">
      <option value=''/>
   </entry>
   <comment value="Transparent output compression using the zlib library" />
   <comment value="Valid values for this option are 'off', 'on', or a specific buffer size" />
   <comment value="to be used for compression (default is 4KB)" />
   <comment value="Note: Resulting chunk size may vary due to nature of compression. PHP" />
   <comment value="outputs chunks that are few hundreds bytes each as a result of" />
   <comment value="compression. If you prefer a larger chunk size for better" />
   <comment value="performance, enable output_buffering in addition." />
   <comment value="Note: You need to use zlib.output_handler instead of the standard" />
   <comment value="output_handler, or otherwise the output will be corrupted." />
   <entry name="zlib.output_compression">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="You cannot specify additional output handlers if zlib.output_compression" />
   <comment value="is activated here. This setting does the same as output_handler but in" />
   <comment value="a different order." />
   <entry name="zlib.output_handler">
      <option value=''/>
   </entry>
   <comment value="Implicit flush tells PHP to tell the output layer to flush itself" />
   <comment value="automatically after every output block.  This is equivalent to calling the" />
   <comment value="PHP function flush() after each and every call to print() or echo() and each" />
   <comment value="and every HTML block.  Turning this option on has serious performance" />
   <comment value="implications and is generally recommended for debugging purposes only." />
   <entry name="implicit_flush">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="The unserialize callback function will called (with the undefind class'" />
   <comment value="name as parameter), if the unserializer finds an undefined class" />
   <comment value="which should be instanciated." />
   <comment value="A warning appears if the specified function is not defined, or if the" />
   <comment value="function doesn't include/implement the missing class." />
   <comment value="So only set this entry, if you really want to implement such a" />
   <comment value="callback-function." />
   <entry name="unserialize_callback_func">
      <option value=''/>
   </entry>
   <comment value="When floats &amp; doubles are serialized store serialize_precision significant" />
   <comment value="digits after the floating point. The default value ensures that when floats" />
   <comment value="are decoded with unserialize, the data will remain the same." />
   <entry name="serialize_precision">
      <option value='100'/>
      <option value='1000'/>
   </entry>
   <comment value="Whether to enable the ability to force arguments to be passed by reference" />
   <comment value="at function call time.  This method is deprecated and is likely to be" />
   <comment value="unsupported in future versions of PHP/Zend.  The encouraged method of" />
   <comment value="specifying which arguments should be passed by reference is in the function" />
   <comment value="declaration.  You're encouraged to try and turn this option Off and make" />
   <comment value="sure your scripts work properly with it in order to ensure they will work" />
   <comment value="with future versions of the language (you will receive a warning each time" />
   <comment value="you use this feature, and the argument will be passed by value instead of by" />
   <comment value="reference)." />
   <entry name="allow_call_time_pass_reference">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Safe Mode" />
   <entry name="safe_mode">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="By default, Safe Mode does a UID compare check when" />
   <comment value="opening files. If you want to relax this to a GID compare,; then turn on safe_mode_gid." />
   <entry name="safe_mode_gid">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="When safe_mode is on, UID/GID checks are bypassed when" />
   <comment value="including files from this directory and its subdirectories." />
   <comment value="(directory must also be in include_path or full path must" />
   <comment value="be used when including)" />
   <entry name="safe_mode_include_dir">
      <option value=''/>
   </entry>
   <comment value="When safe_mode is on, only executables located in the safe_mode_exec_dir" />
   <comment value="will be allowed to be executed via the exec family of functions." />
   <entry name="safe_mode_exec_dir">
      <option value=''/>
   </entry>
   <comment value="Setting certain environment variables may be a potential security breach." />
   <comment value="This directive contains a comma-delimited list of prefixes.  In Safe Mode,; the user may only alter environment variables whose names begin with the" />
   <comment value="prefixes supplied here.  By default, users will only be able to set" />
   <comment value="environment variables that begin with PHP_ (e.g. PHP_FOO=BAR)." />
   <comment value="Note:  If this directive is empty, PHP will let the user modify ANY" />
   <comment value="environment variable!" />
   <entry name="safe_mode_allowed_env_vars">
      <option value='PHP_'/>
   </entry>
   <comment value="This directive contains a comma-delimited list of environment variables that" />
   <comment value="the end user won't be able to change using putenv().  These variables will be" />
   <comment value="protected even if safe_mode_allowed_env_vars is set to allow to change them." />
   <entry name="safe_mode_protected_env_vars">
      <option value='LD_LIBRARY_PATH'/>
   </entry>
   <comment value="open_basedir, if set, limits all file operations to the defined directory" />
   <comment value="and below.  This directive makes most sense if used in a per-directory" />
   <comment value="or per-virtualhost web server configuration file. This directive is" />
   <comment value="*NOT* affected by whether Safe Mode is turned On or Off." />
   <entry name="open_basedir">
      <option value=''/>
   </entry>
   <comment value="This directive allows you to disable certain functions for security reasons." />
   <comment value="It receives a comma-delimited list of function names. This directive is" />
   <comment value="*NOT* affected by whether Safe Mode is turned On or Off." />
   <entry name="disable_functions">
      <option value=''/>
   </entry>
   <comment value="This directive allows you to disable certain classes for security reasons." />
   <comment value="It receives a comma-delimited list of class names. This directive is" />
   <comment value="*NOT* affected by whether Safe Mode is turned On or Off." />
   <entry name="disable_classes">
      <option value=''/>
   </entry>
   <comment value="Colors for Syntax Highlighting mode.  Anything that's acceptable in" />
   <comment value="&lt;font color=&quot;??????&quot;&gt; would work." />
   <entry name="highlight.string">
      <option value='#DD0000'/>
   </entry>
   <entry name="highlight.comment">
      <option value='#FF9900'/>
   </entry>
   <entry name="highlight.keyword">
      <option value='#007700'/>
   </entry>
   <entry name="highlight.bg">
      <option value='#FFFFFF'/>
   </entry>
   <entry name="highlight.default">
      <option value='#0000BB'/>
   </entry>
   <entry name="highlight.html">
      <option value='#000000'/>
   </entry>
   <comment value="Misc" />
   <comment value="Decides whether PHP may expose the fact that it is installed on the server" />
   <comment value="(e.g. by adding its signature to the Web server header).  It is no security" />
   <comment value="threat in any way, but it makes it possible to determine whether you use PHP" />
   <comment value="on your server or not." />
   <entry name="expose_php">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Resource Limits ;" />
   <entry name="max_execution_time">
      <option value='15'/>
      <option value='30'/>
      <option value='60'/>
      <option value='120'/>
      <comment value='Maximum execution time of each script, in seconds'/>
   </entry>
   <entry name="max_input_time">
      <option value='30'/>
      <option value='60'/>
      <option value='120'/>
      <option value='240'/>
      <comment value='Maximum amount of time each script may spend parsing request data'/>
   </entry>
   <entry name="memory_limit">
      <option value='8M'/>
      <option value='16M'/>
      <option value='64M'/>
      <option value='256M'/>
      <comment value='Maximum amount of memory a script may consume (8MB)'/>
   </entry>
   <comment value="Error handling and logging ;" />
   <comment value="error_reporting is a bit-field.  Or each number up to get desired error" />
   <comment value="reporting level" />
   <comment value="E_ALL             - All errors and warnings" />
   <comment value="E_ERROR           - fatal run-time errors" />
   <comment value="E_WARNING         - run-time warnings (non-fatal errors)" />
   <comment value="E_PARSE           - compile-time parse errors" />
   <comment value="E_NOTICE          - run-time notices (these are warnings which often result" />
   <comment value="from a bug in your code, but it's possible that it was" />
   <comment value="intentional (e.g., using an uninitialized variable and" />
   <comment value="relying on the fact it's automatically initialized to an" />
   <comment value="empty string)" />
   <comment value="E_CORE_ERROR      - fatal errors that occur during PHP's initial startup" />
   <comment value="E_CORE_WARNING    - warnings (non-fatal errors) that occur during PHP's" />
   <comment value="initial startup" />
   <comment value="E_COMPILE_ERROR   - fatal compile-time errors" />
   <comment value="E_COMPILE_WARNING - compile-time warnings (non-fatal errors)" />
   <comment value="E_USER_ERROR      - user-generated error message" />
   <comment value="E_USER_WARNING    - user-generated warning message" />
   <comment value="E_USER_NOTICE     - user-generated notice message" />
   <comment value="Examples:" />
   <comment value="- Show all errors, except for notices" />
   <entry name="error_reporting">
      <option value='E_ALL &amp; ~E_NOTICE'/>
   </entry>
   <comment value="- Show only errors" />
   <entry name="error_reporting">
      <option value='E_COMPILE_ERROR|E_ERROR|E_CORE_ERROR'/>
   </entry>
   <comment value="- Show all errors except for notices" />
   <entry name="error_reporting">
      <option value='E_ALL &amp; ~E_NOTICE'/>
   </entry>
   <comment value="Print out errors (as a part of the output).  For production web sites,; you're strongly encouraged to turn this feature off, and use error logging" />
   <comment value="instead (see below).  Keeping display_errors enabled on a production web site" />
   <comment value="may reveal security information to end users, such as file paths on your Web" />
   <comment value="server, your database schema or other information." />
   <entry name="display_errors">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Even when display_errors is on, errors that occur during PHP's startup" />
   <comment value="sequence are not displayed.  It's strongly recommended to keep" />
   <comment value="display_startup_errors off, except for when debugging." />
   <entry name="display_startup_errors">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Log errors into a log file (server-specific log, stderr, or error_log (below))" />
   <comment value="As stated above, you're strongly advised to use error logging in place of" />
   <comment value="error displaying on production web sites." />
   <entry name="log_errors">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Set maximum length of log_errors. In error_log information about the source is" />
   <comment value="added. The default is 1024 and 0 allows to not apply any maximum length at all." />
   <entry name="log_errors_max_len">
      <option value='0'/>
      <option value='1024'/>
   </entry>
   <comment value="Do not log repeated messages. Repeated errors must occur in same file on same" />
   <comment value="line until ignore_repeated_source is set true." />
   <entry name="ignore_repeated_errors">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Ignore source of message when ignoring repeated messages. When this setting" />
   <comment value="is On you will not log errors with repeated messages from different files or" />
   <comment value="sourcelines." />
   <entry name="ignore_repeated_source">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="If this parameter is set to Off, then memory leaks will not be shown (on" />
   <comment value="stdout or in the log). This has only effect in a debug compile, and if" />
   <comment value="error reporting includes E_WARNING in the allowed list" />
   <entry name="report_memleaks">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Store the last error/warning message in $php_errormsg (boolean)." />
   <entry name="track_errors">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Disable the inclusion of HTML tags in error messages." />
   <entry name="html_errors">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="If html_errors is set On PHP produces clickable error messages that direct" />
   <comment value="to a page describing the error or function causing the error in detail." />
   <comment value="You can download a copy of the PHP manual from http://www.php.net/docs.php" />
   <comment value="and change docref_root to the base URL of your local copy including the" />
   <comment value="leading '/'. You must also specify the file extension being used including" />
   <comment value="the dot." />
   <entry name="docref_root">
      <option value='&quot;/phpmanual/&quot;'/>
   </entry>
   <entry name="docref_ext">
      <option value='.html'/>
      <option value='.htm'/>
      <option value='.php'/>
      <option value='.asp'/>
   </entry>
   <comment value="String to output before an error message." />
   <entry name="error_prepend_string">
      <option value='&quot;&lt;font color=ff0000&gt;&quot;'/>
   </entry>
   <comment value="String to output after an error message." />
   <entry name="error_append_string">
      <option value='&quot;&lt;/font&gt;&quot;'/>
   </entry>
   <comment value="Log errors to specified file." />
   <entry name="error_log">
      <option value='filename'/>
   </entry>
   <comment value="Log errors to syslog (Event Log on NT, not valid in Windows 95)." />
   <entry name="error_log">
      <option value='syslog'/>
   </entry>
   <comment value="Data Handling ;" />
   <comment value="Note - track_vars is ALWAYS enabled as of PHP 4.0.3" />
   <comment value="The separator used in PHP generated URLs to separate arguments." />
   <comment value="Default is &quot;&amp;&quot;." />
   <entry name="arg_separator.output">
      <option value='&quot;&amp;amp;&quot;'/>
   </entry>
   <comment value="List of separator(s) used by PHP to parse input URLs into variables." />
   <comment value="Default is &quot;&amp;&quot;." />
   <comment value="NOTE: Every character in this directive is considered as separator!" />
   <entry name="arg_separator.input">
      <option value='&quot;;&amp;&quot;'/>
   </entry>
   <comment value="This directive describes the order in which PHP registers GET, POST, Cookie,; Environment and Built-in variables (G, P, C, E &amp; S respectively, often" />
   <comment value="referred to as EGPCS or GPC).  Registration is done from left to right, newer" />
   <comment value="values override older values." />
   <entry name="variables_order">
      <option value='&quot;EGPCS&quot;'/>
   </entry>
   <comment value="Whether or not to register the EGPCS variables as global variables.  You may" />
   <comment value="want to turn this off if you don't want to clutter your scripts' global scope" />
   <comment value="with user data.  This makes most sense when coupled with track_vars - in which" />
   <comment value="case you can access all of the GPC variables through the $HTTP_*_VARS[],; variables." />
   <comment value="You should do your best to write your scripts so that they do not require" />
   <comment value="register_globals to be on;  Using form variables as globals can easily lead" />
   <comment value="to possible security problems, if the code is not very well thought of." />
   <entry name="register_globals">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="This directive tells PHP whether to declare the argv&amp;argc variables (that" />
   <comment value="would contain the GET information).  If you don't use these variables, you" />
   <comment value="should turn it off for increased performance." />
   <entry name="register_argc_argv">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Maximum size of POST data that PHP will accept." />
   <entry name="post_max_size">
      <option value='1M'/>
      <option value='4M'/>
      <option value='8M'/>
      <option value='16M'/>
      <option value='32M'/>
   </entry>
   <comment value="This directive is deprecated.  Use variables_order instead." />
   <entry name="gpc_order">
      <option value='&quot;GPC&quot;'/>
   </entry>
   <comment value="Magic quotes" />
   <comment value="Magic quotes for incoming GET/POST/Cookie data." />
   <entry name="magic_quotes_gpc">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Magic quotes for runtime-generated data, e.g. data from SQL, from exec(), etc." />
   <entry name="magic_quotes_runtime">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Use Sybase-style magic quotes (escape ' with '' instead of \')." />
   <entry name="magic_quotes_sybase">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Automatically add files before or after any PHP document." />
   <entry name="auto_prepend_file">
      <option value=''/>
   </entry>
   <entry name="auto_append_file">
      <option value=''/>
   </entry>
   <comment value="As of 4.0b4, PHP always outputs a character encoding by default in" />
   <comment value="the Content-type: header.  To disable sending of the charset, simply" />
   <comment value="set it to be empty." />
   <comment value="PHP's built-in default is text/html" />
   <entry name="default_mimetype">
      <option value='&quot;text/html&quot;'/>
   </entry>
   <entry name="default_charset">
      <option value='&quot;iso-8859-1&quot;'/>
   </entry>
   <comment value="Always populate the $HTTP_RAW_POST_DATA variable." />
   <entry name="always_populate_raw_post_data">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Paths and Directories ;" />
   <comment value="UNIX: &quot;/path1:/path2&quot;" />
   <entry name="include_path">
      <option value='&quot;.:/php/includes&quot;'/>
   </entry>
   <comment value="Windows: &quot;\path1;\path2&quot;" />
   <entry name="include_path">
      <option value='&quot;.;c:\php\includes&quot;'/>
   </entry>
   <comment value="The root of the PHP pages, used only if nonempty." />
   <comment value="if PHP was not compiled with FORCE_REDIRECT, you SHOULD set doc_root" />
   <comment value="if you are running php as a CGI under any web server (other than IIS)" />
   <comment value="see documentation for security issues.  The alternate is to use the" />
   <comment value="cgi.force_redirect configuration below" />
   <entry name="doc_root">
      <option value=''/>
   </entry>
   <comment value="The directory under which PHP opens the script using /~username used only" />
   <comment value="if nonempty." />
   <entry name="user_dir">
      <option value=''/>
   </entry>
   <comment value="Directory in which the loadable extensions (modules) reside." />
   <entry name="extension_dir">
      <option value='&quot;./&quot;'/>
   </entry>
   <comment value="Whether or not to enable the dl() function.  The dl() function does NOT work" />
   <comment value="properly in multithreaded servers, such as IIS or Zeus, and is automatically" />
   <comment value="disabled on them." />
   <entry name="enable_dl">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="cgi.force_redirect is necessary to provide security running PHP as a CGI under" />
   <comment value="most web servers.  Left undefined, PHP turns this on by default.  You can" />
   <comment value="turn it off here AT YOUR OWN RISK" />
   <comment value="**You CAN safely turn this off for IIS, in fact, you MUST.**" />
   <comment value="cgi.force_redirect = 0, 1" />
   <comment value="if cgi.force_redirect is turned on, and you are not running under Apache or Netscape" />
   <comment value="(iPlanet) web servers, you MAY need to set an environment variable name that PHP" />
   <comment value="will look for to know it is OK to continue execution.  Setting this variable MAY" />
   <comment value="cause security issues, KNOW WHAT YOU ARE DOING FIRST." />
   <comment value="cgi.redirect_status_env = ;" />
   <comment value="cgi.fix_pathinfo provides *real* PATH_INFO/PATH_TRANSLATED support for CGI.  PHP's" />
   <comment value="previous behaviour was to set PATH_TRANSLATED to SCRIPT_FILENAME, and to not grok" />
   <comment value="what PATH_INFO is.  For more information on PATH_INFO, see the cgi specs.  Setting" />
   <comment value="this to 1 will cause PHP CGI to fix it's paths to conform to the spec.  A setting" />
   <comment value="of zero causes PHP to behave as before.  Default is zero.  You should fix your scripts" />
   <comment value="to use SCRIPT_FILENAME rather than PATH_TRANSLATED." />
   <comment value="cgi.fix_pathinfo=0, 1" />
   <comment value="FastCGI under IIS (on WINNT based OS) supports the ability to impersonate" />
   <comment value="security tokens of the calling client.  This allows IIS to define the" />
   <comment value="security context that the request runs under.  mod_fastcgi under Apache" />
   <comment value="does not currently support this feature (03/17/2002)" />
   <comment value="Set to 1 if running under IIS.  Default is zero." />
   <comment value="fastcgi.impersonate = 0, 1" />
   <comment value="cgi.rfc2616_headers configuration option tells PHP what type of headers to" />
   <comment value="use when sending HTTP response code. If it's set 0 PHP sends Status: header that" />
   <comment value="is supported by Apache. When this option is set to 1 PHP will send" />
   <comment value="RFC2616 compliant header." />
   <comment value="Default is zero." />
   <entry name="cgi.rfc2616_headers">
      <option value='0'/>
      <option value='1'/>
   </entry>
   <comment value="File Uploads ;" />
   <comment value="Whether to allow HTTP file uploads." />
   <entry name="file_uploads">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Temporary directory for HTTP uploaded files (will use system default if not" />
   <comment value="specified)." />
   <entry name="upload_tmp_dir">
      <option value=''/>
   </entry>
   <comment value="Maximum allowed size for uploaded files." />
   <entry name="upload_max_filesize">
      <option value='1M'/>
      <option value='2M'/>
      <option value='8M'/>
      <option value='16M'/>
      <option value='32M'/>
   </entry>
   <comment value="Fopen wrappers ;" />
   <comment value="Whether to allow the treatment of URLs (like http:// or ftp://) as files." />
   <entry name="allow_url_fopen">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Define the anonymous ftp password (your email address)" />
   <entry name="from">
      <option value='&quot;john@doe.com&quot;'/>
   </entry>
   <comment value="Define the User-Agent string" />
   <comment value="user_agent=&quot;PHP&quot;" />
   <comment value="Default timeout for socket based streams (seconds)" />
   <entry name="default_socket_timeout">
      <option value='5'/>
      <option value='60'/>
   </entry>
   <comment value="If your scripts have to deal with files from Macintosh systems,; or you are running on a Mac and need to deal with files from" />
   <comment value="unix or win32 systems, setting this flag will cause PHP to" />
   <comment value="automatically detect the EOL character in those files so that" />
   <comment value="fgets() and file() will work regardless of the source of the file." />
   <comment value="auto_detect_line_endings = On, Off" />
   <comment value="Dynamic Extensions ;" />
   <comment value="If you wish to have an extension loaded automatically, use the following" />
   <comment value="syntax:" />
   <comment value="extension=modulename.extension" />
   <comment value="For example, on Windows:" />
   <comment value="extension=msql.dll" />
   <comment value="... or under UNIX:" />
   <comment value="extension=msql.so" />
   <comment value="Note that it should be the name of the module only; no directory information" />
   <comment value="needs to go here.  Specify the location of the extension with the" />
   <comment value="extension_dir directive above." />
   <entry name="extension">
      <option value='php_bz2.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_cpdf.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_crack.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_curl.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_db.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_dba.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_dbase.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_dbx.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_domxml.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_exif.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_fdf.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_filepro.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_gd2.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_gettext.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_hyperwave.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_iconv.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_ifx.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_iisfunc.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_imap.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_interbase.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_java.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_ldap.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_mbstring.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_mcrypt.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_mhash.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_mime_magic.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_ming.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_mssql.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_msql.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_oci8.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_openssl.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_oracle.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_pdf.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_pgsql.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_printer.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_shmop.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_snmp.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_sockets.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_sybase_ct.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_w32api.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_xmlrpc.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_xslt.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_yaz.dll'/>
   </entry>
   <entry name="extension">
      <option value='php_zip.dll'/>
   </entry>
   <comment value="Module Settings ;" />
   <title name="Syslog" />
   <comment value="Whether or not to define the various syslog variables (e.g. $LOG_PID,; $LOG_CRON, etc.).  Turning it off is a good idea performance-wise.  In" />
   <comment value="runtime, you can define these variables by calling define_syslog_variables()." />
   <entry name="define_syslog_variables">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <title name="mail function" />
   <comment value="For Win32 only." />
   <entry name="SMTP">
      <option value='localhost'/>
   </entry>
   <comment value="For Win32 only." />
   <entry name="sendmail_from">
      <option value='me@localhost.com'/>
   </entry>
   <comment value="For Unix only.  You may supply arguments as well (default: &quot;sendmail -t -i&quot;)." />
   <entry name="sendmail_path">
      <option value=''/>
   </entry>
   <title name="Java" />
   <entry name="java.class.path">
      <option value='.\php_java.jar'/>
   </entry>
   <entry name="java.home">
      <option value='c:\jdk'/>
   </entry>
   <entry name="java.library">
      <option value='c:\jdk\jre\bin\hotspot\jvm.dll'/>
   </entry>
   <entry name="java.library.path">
      <option value='.\'/>
   </entry>
   <title name="SQL" />
   <entry name="sql.safe_mode">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <title name="ODBC" />
   <entry name="odbc.default_db">
      <option value='Not yet implemented'/>
   </entry>
   <entry name="odbc.default_user">
      <option value='Not yet implemented'/>
   </entry>
   <entry name="odbc.default_pw">
      <option value='Not yet implemented'/>
   </entry>
   <comment value="Allow or prevent persistent links." />
   <entry name="odbc.allow_persistent">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Check that a connection is still valid before reuse." />
   <entry name="odbc.check_persistent">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Maximum number of persistent links.  -1 means no limit." />
   <entry name="odbc.max_persistent">
      <option value='-1'/>
   </entry>
   <comment value="Maximum number of links (persistent + non-persistent).  -1 means no limit." />
   <entry name="odbc.max_links">
      <option value='-1'/>
   </entry>
   <comment value="Handling of LONG fields.  Returns number of bytes to variables.  0 means" />
   <comment value="passthru." />
   <entry name="odbc.defaultlrl">
      <option value='0'/>
      <option value='4096'/>
      <option value='262144'/>
   </entry>
   <comment value="Handling of binary data.  0 means passthru, 1 return as is, 2 convert to char." />
   <comment value="See the documentation on odbc_binmode and odbc_longreadlen for an explanation" />
   <comment value="of uodbc.defaultlrl and uodbc.defaultbinmode" />
   <entry name="odbc.defaultbinmode">
      <option value='1'/>
   </entry>
   <title name="MySQL" />
   <comment value="Allow or prevent persistent links." />
   <entry name="mysql.allow_persistent">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Maximum number of persistent links.  -1 means no limit." />
   <entry name="mysql.max_persistent">
      <option value='-1'/>
   </entry>
   <comment value="Maximum number of links (persistent + non-persistent).  -1 means no limit." />
   <entry name="mysql.max_links">
      <option value='-1'/>
   </entry>
   <comment value="Default port number for mysql_connect().  If unset, mysql_connect() will use" />
   <comment value="the $MYSQL_TCP_PORT or the mysql-tcp entry in /etc/services or the" />
   <comment value="compile-time value defined MYSQL_PORT (in that order).  Win32 will only look" />
   <comment value="at MYSQL_PORT." />
   <entry name="mysql.default_port">
      <option value=''/>
   </entry>
   <comment value="Default socket name for local MySQL connects.  If empty, uses the built-in" />
   <comment value="MySQL defaults." />
   <entry name="mysql.default_socket">
      <option value=''/>
   </entry>
   <comment value="Default host for mysql_connect() (doesn't apply in safe mode)." />
   <entry name="mysql.default_host">
      <option value=''/>
   </entry>
   <comment value="Default user for mysql_connect() (doesn't apply in safe mode)." />
   <entry name="mysql.default_user">
      <option value=''/>
   </entry>
   <comment value="Default password for mysql_connect() (doesn't apply in safe mode)." />
   <comment value="Note that this is generally a *bad* idea to store passwords in this file." />
   <comment value="*Any* user with PHP access can run 'echo get_cfg_var(&quot;mysql.default_password&quot;)" />
   <comment value="and reveal this password!  And of course, any users with read access to this" />
   <comment value="file will be able to reveal the password as well." />
   <entry name="mysql.default_password">
      <option value=''/>
   </entry>
   <comment value="Maximum time (in secondes) for connect timeout. -1 means no limimt" />
   <entry name="mysql.connect_timeout">
      <option value='5'/>
      <option value='60'/>
      <option value='-1'/>
   </entry>
   <comment value="Trace mode. When trace_mode is active (=On), warnings for table/index scans and" />
   <comment value="SQL-Erros will be displayed." />
   <entry name="mysql.trace_mode">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <title name="mSQL" />
   <comment value="Allow or prevent persistent links." />
   <entry name="msql.allow_persistent">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Maximum number of persistent links.  -1 means no limit." />
   <entry name="msql.max_persistent">
      <option value='-1'/>
   </entry>
   <comment value="Maximum number of links (persistent+non persistent).  -1 means no limit." />
   <entry name="msql.max_links">
      <option value='-1'/>
   </entry>
   <title name="PostgresSQL" />
   <comment value="Allow or prevent persistent links." />
   <entry name="pgsql.allow_persistent">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Detect broken persistent links always with pg_pconnect(). Need a little overhead." />
   <entry name="pgsql.auto_reset_persistent">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Maximum number of persistent links.  -1 means no limit." />
   <entry name="pgsql.max_persistent">
      <option value='-1'/>
   </entry>
   <comment value="Maximum number of links (persistent+non persistent).  -1 means no limit." />
   <entry name="pgsql.max_links">
      <option value='-1'/>
   </entry>
   <comment value="Ignore PostgreSQL backends Notice message or not." />
   <entry name="pgsql.ignore_notice">
      <option value='0'/>
      <option value='1'/>
   </entry>
   <comment value="Log PostgreSQL backends Noitce message or not." />
   <comment value="Unless pgsql.ignore_notice=0, module cannot log notice message." />
   <entry name="pgsql.log_notice">
      <option value='0'/>
      <option value='1'/>
   </entry>
   <title name="Sybase" />
   <comment value="Allow or prevent persistent links." />
   <entry name="sybase.allow_persistent">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Maximum number of persistent links.  -1 means no limit." />
   <entry name="sybase.max_persistent">
      <option value='-1'/>
   </entry>
   <comment value="Maximum number of links (persistent + non-persistent).  -1 means no limit." />
   <entry name="sybase.max_links">
      <option value='-1'/>
   </entry>
   <entry name="sybase.interface_file">
      <option value='&quot;/usr/sybase/interfaces&quot;'/>
   </entry>
   <comment value="Minimum error severity to display." />
   <entry name="sybase.min_error_severity">
      <option value='0'/>
      <option value='1'/>
      <option value='10'/>
      <option value='20'/>
   </entry>
   <comment value="Minimum message severity to display." />
   <entry name="sybase.min_message_severity">
      <option value='0'/>
      <option value='1'/>
      <option value='10'/>
      <option value='20'/>
   </entry>
   <comment value="Compatability mode with old versions of PHP 3.0." />
   <comment value="If on, this will cause PHP to automatically assign types to results according" />
   <comment value="to their Sybase type, instead of treating them all as strings.  This" />
   <comment value="compatability mode will probably not stay around forever, so try applying" />
   <comment value="whatever necessary changes to your code, and turn it off." />
   <entry name="sybase.compatability_mode">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <title name="Sybase-CT" />
   <comment value="Allow or prevent persistent links." />
   <entry name="sybct.allow_persistent">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Maximum number of persistent links.  -1 means no limit." />
   <entry name="sybct.max_persistent">
      <option value='-1'/>
   </entry>
   <comment value="Maximum number of links (persistent + non-persistent).  -1 means no limit." />
   <entry name="sybct.max_links">
      <option value='-1'/>
   </entry>
   <comment value="Minimum server message severity to display." />
   <entry name="sybct.min_server_severity">
      <option value='10'/>
      <option value='20'/>
   </entry>
   <comment value="Minimum client message severity to display." />
   <entry name="sybct.min_client_severity">
      <option value='10'/>
      <option value='20'/>
   </entry>
   <title name="dbx" />
   <comment value="returned column names can be converted for compatibility reasons" />
   <comment value="possible values for dbx.colnames_case are" />
   <comment value="&quot;unchanged&quot; (default, if not set)" />
   <comment value="&quot;lowercase&quot;" />
   <comment value="&quot;uppercase&quot;" />
   <comment value="the recommended default is either upper- or lowercase, but" />
   <comment value="unchanged is currently set for backwards compatibility" />
   <entry name="dbx.colnames_case">
      <option value='&quot;unchanged&quot;'/>
      <option value='&quot;lowercase&quot;'/>
      <option value='&quot;uppercase&quot;'/>
   </entry>
   <title name="bcmath" />
   <comment value="Number of decimal digits for all bcmath functions." />
   <entry name="bcmath.scale">
      <option value='0'/>
      <option value='2'/>
      <option value='10'/>
      <option value='10000'/>
   </entry>
   <title name="browscap" />
   <entry name="browscap">
      <option value='extra/browscap.ini'/>
   </entry>
   <title name="Informix" />
   <comment value="Default host for ifx_connect() (doesn't apply in safe mode)." />
   <entry name="ifx.default_host">
      <option value=''/>
   </entry>
   <comment value="Default user for ifx_connect() (doesn't apply in safe mode)." />
   <entry name="ifx.default_user">
      <option value=''/>
   </entry>
   <comment value="Default password for ifx_connect() (doesn't apply in safe mode)." />
   <entry name="ifx.default_password">
      <option value=''/>
   </entry>
   <comment value="Allow or prevent persistent links." />
   <entry name="ifx.allow_persistent">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Maximum number of persistent links.  -1 means no limit." />
   <entry name="ifx.max_persistent">
      <option value='-1'/>
   </entry>
   <comment value="Maximum number of links (persistent + non-persistent).  -1 means no limit." />
   <entry name="ifx.max_links">
      <option value='-1'/>
   </entry>
   <comment value="If on, select statements return the contents of a text blob instead of its id." />
   <entry name="ifx.textasvarchar">
      <option value='0'/>
      <option value='1'/>
   </entry>
   <comment value="If on, select statements return the contents of a byte blob instead of its id." />
   <entry name="ifx.byteasvarchar">
      <option value='0'/>
      <option value='1'/>
   </entry>
   <comment value="Trailing blanks are stripped from fixed-length char columns.  May help the" />
   <comment value="life of Informix SE users." />
   <entry name="ifx.charasvarchar">
      <option value='0'/>
      <option value='1'/>
   </entry>
   <comment value="If on, the contents of text and byte blobs are dumped to a file instead of" />
   <comment value="keeping them in memory." />
   <entry name="ifx.blobinfile">
      <option value='0'/>
      <option value='1'/>
   </entry>
   <comment value="NULL's are returned as empty strings, unless this is set to 1.  In that case,; NULL's are returned as string 'NULL'." />
   <entry name="ifx.nullformat">
      <option value='0'/>
      <option value='1'/>
   </entry>
   <title name="Session" />
   <comment value="Handler used to store/retrieve data." />
   <entry name="session.save_handler">
      <option value='files'/>
   </entry>
   <comment value="Argument passed to save_handler.  In the case of files, this is the path" />
   <comment value="where data files are stored. Note: Windows users have to change this" />
   <comment value="variable in order to use PHP's session functions." />
   <comment value="As of PHP 4.0.1, you can define the path as:" />
   <comment value="session.save_path = &quot;N;/path&quot;" />
   <comment value="where N is an integer.  Instead of storing all the session files in" />
   <comment value="/path, what this will do is use subdirectories N-levels deep, and" />
   <comment value="store the session data in those directories.  This is useful if you" />
   <comment value="or your OS have problems with lots of files in one directory, and is" />
   <comment value="a more efficient layout for servers that handle lots of sessions." />
   <comment value="NOTE 1: PHP will not create this directory structure automatically." />
   <comment value="You can use the script in the ext/session dir for that purpose." />
   <comment value="NOTE 2: See the section on garbage collection below if you choose to" />
   <comment value="use subdirectories for session storage" />
   <entry name="session.save_path">
      <option value='/tmp'/>
   </entry>
   <comment value="Whether to use cookies." />
   <entry name="session.use_cookies">
      <option value='0'/>
      <option value='1'/>
   </entry>
   <comment value="This option enables administrators to make their users invulnerable to" />
   <comment value="attacks which involve passing session ids in URLs; defaults to 0." />
   <comment value="session.use_only_cookies = 0, 1" />
   <comment value="Name of the session (used as cookie name)." />
   <entry name="session.name">
      <option value='PHPSESSID'/>
   </entry>
   <comment value="Initialize session on request startup." />
   <entry name="session.auto_start">
      <option value='0'/>
   </entry>
   <comment value="Lifetime in seconds of cookie or, if 0, until browser is restarted." />
   <entry name="session.cookie_lifetime">
      <option value='0'/>
   </entry>
   <comment value="The path for which the cookie is valid." />
   <entry name="session.cookie_path">
      <option value='/'/>
   </entry>
   <comment value="The domain for which the cookie is valid." />
   <entry name="session.cookie_domain">
      <option value=''/>
   </entry>
   <comment value="Handler used to serialize data.  php is the standard serializer of PHP." />
   <entry name="session.serialize_handler">
      <option value='php'/>
   </entry>
   <comment value="Define the probability that the 'garbage collection' process is started" />
   <comment value="on every session initialization." />
   <comment value="The probability is calculated by using gc_probability/gc_divisor,; e.g. 1/100 means there is a 1% chance that the GC process starts" />
   <comment value="on each request." />
   <entry name="session.gc_probability">
      <option value='1'/>
   </entry>
   <entry name="session.gc_divisor">
      <option value='100'/>
   </entry>
   <comment value="After this number of seconds, stored data will be seen as 'garbage' and" />
   <comment value="cleaned up by the garbage collection process." />
   <entry name="session.gc_maxlifetime">
      <option value='1440'/>
   </entry>
   <comment value="NOTE: If you are using the subdirectory option for storing session files" />
   <comment value="(see session.save_path above), then garbage collection does *not*" />
   <comment value="happen automatically.  You will need to do your own garbage" />
   <comment value="collection through a shell script, cron entry, or some other method." />
   <comment value="For example, the following script would is the equivalent of" />
   <comment value="setting session.gc_maxlifetime to 1440 (1440 seconds = 24 minutes):" />
   <comment value="cd /path/to/sessions; find -cmin +24 | xargs rm" />
   <comment value="PHP 4.2 and less have an undocumented feature/bug that allows you to" />
   <comment value="to initialize a session variable in the global scope, albeit register_globals" />
   <comment value="is disabled.  PHP 4.3 and later will warn you, if this feature is used." />
   <comment value="You can disable the feature and the warning seperately. At this time,; the warning is only displayed, if bug_compat_42 is enabled." />
   <entry name="session.bug_compat_42">
      <option value='1'/>
   </entry>
   <entry name="session.bug_compat_warn">
      <option value='1'/>
   </entry>
   <comment value="Check HTTP Referer to invalidate externally stored URLs containing ids." />
   <comment value="HTTP_REFERER has to contain this substring for the session to be" />
   <comment value="considered as valid." />
   <entry name="session.referer_check">
      <option value=''/>
   </entry>
   <comment value="How many bytes to read from the file." />
   <entry name="session.entropy_length">
      <option value='0'/>
   </entry>
   <comment value="Specified here to create the session id." />
   <entry name="session.entropy_file">
      <option value=''/>
   </entry>
   <entry name="session.entropy_length">
      <option value='16'/>
   </entry>
   <entry name="session.entropy_file">
      <option value='/dev/urandom'/>
   </entry>
   <comment value="Set to {nocache,private,public,} to determine HTTP caching aspects" />
   <comment value="or leave this empty to avoid sending anti-caching headers." />
   <entry name="session.cache_limiter">
      <option value='nocache'/>
   </entry>
   <comment value="Document expires after n minutes." />
   <entry name="session.cache_expire">
      <option value='1'/>
      <option value='10'/>
      <option value='180'/>
      <option value='360'/>
   </entry>
   <comment value="trans sid support is disabled by default." />
   <comment value="Use of trans sid may risk your users security." />
   <comment value="Use this option with caution." />
   <comment value="- User may send URL contains active session ID" />
   <comment value="to other person via. email/irc/etc." />
   <comment value="- URL that contains active session ID may be stored" />
   <comment value="in publically accessible computer." />
   <comment value="- User may access your site with the same session ID" />
   <comment value="always using URL stored in browser's history or bookmarks." />
   <entry name="session.use_trans_sid">
      <option value='0'/>
   </entry>
   <comment value="The URL rewriter will look for URLs in a defined set of HTML tags." />
   <comment value="form/fieldset are special; if you include them here, the rewriter will" />
   <comment value="add a hidden &lt;input&gt; field with the info which is otherwise appended" />
   <comment value="to URLs.  If you want XHTML conformity, remove the form entry." />
   <comment value="Note that all valid entries require a &quot;=&quot;, even if no value follows." />
   <entry name="url_rewriter.tags">
      <option value='&quot;a=href'/>
      <option value='area=href'/>
      <option value='frame=src'/>
      <option value='input=src'/>
      <option value='form='/>
      <option value='fieldset=&quot;'/>
   </entry>
   <title name="MSSQL" />
   <comment value="Allow or prevent persistent links." />
   <entry name="mssql.allow_persistent">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Maximum number of persistent links.  -1 means no limit." />
   <entry name="mssql.max_persistent">
      <option value='-1'/>
   </entry>
   <comment value="Maximum number of links (persistent+non persistent).  -1 means no limit." />
   <entry name="mssql.max_links">
      <option value='-1'/>
   </entry>
   <comment value="Minimum error severity to display." />
   <entry name="mssql.min_error_severity">
      <option value='10'/>
      <option value='20'/>
   </entry>
   <comment value="Minimum message severity to display." />
   <entry name="mssql.min_message_severity">
      <option value='10'/>
      <option value='20'/>
   </entry>
   <comment value="Compatability mode with old versions of PHP 3.0." />
   <entry name="mssql.compatability_mode">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Connec timeout" />
   <entry name="mssql.connect_timeout">
      <option value='5'/>
      <option value='10'/>
   </entry>
   <comment value="Query timeout" />
   <entry name="mssql.timeout">
      <option value='10'/>
      <option value='60'/>
   </entry>
   <comment value="Valid range 0 - 2147483647.  Default = 4096." />
   <entry name="mssql.textlimit">
      <option value='4096'/>
      <option value='65536'/>
      <option value='262144'/>
      <option value='1048576'/>
      <option value='2147483647'/>
   </entry>
   <comment value="Valid range 0 - 2147483647.  Default = 4096." />
   <entry name="mssql.textsize">
      <option value='4096'/>
      <option value='65536'/>
      <option value='262144'/>
      <option value='1048576'/>
      <option value='2147483647'/>
   </entry>
   <comment value="Limits the number of records in each batch.  0 = all records in one batch." />
   <entry name="mssql.batchsize">
      <option value='0'/>
   </entry>
   <comment value="Specify how datetime and datetim4 columns are returned" />
   <comment value="On =&gt; Returns data converted to SQL server settings" />
   <comment value="Off =&gt; Returns values as YYYY-MM-DD hh:mm:ss" />
   <entry name="mssql.datetimeconvert">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Use NT authentication when connecting to the server" />
   <entry name="mssql.secure_connection">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Specify max number of processes. Default = 25" />
   <entry name="mssql.max_procs">
      <option value='12'/>
      <option value='25'/>
      <option value='50'/>
      <option value='100'/>
   </entry>
   <title name="Assertion" />
   <comment value="Assert(expr); active by default." />
   <entry name="assert.active">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Issue a PHP warning for each failed assertion." />
   <entry name="assert.warning">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Don't bail out by default." />
   <entry name="assert.bail">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="User-function to be called if an assertion fails." />
   <entry name="assert.callback">
      <option value='0'/>
   </entry>
   <comment value="Eval the expression with current error_reporting().  Set to true if you want" />
   <comment value="error_reporting(0) around the eval()." />
   <entry name="assert.quiet_eval">
      <option value='0'/>
   </entry>
   <title name="Ingres II" />
   <comment value="Allow or prevent persistent links." />
   <entry name="ingres.allow_persistent">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="Maximum number of persistent links.  -1 means no limit." />
   <entry name="ingres.max_persistent">
      <option value='-1'/>
   </entry>
   <comment value="Maximum number of links, including persistents.  -1 means no limit." />
   <entry name="ingres.max_links">
      <option value='-1'/>
   </entry>
   <comment value="Default database (format: [node_id::]dbname[/srv_class])." />
   <entry name="ingres.default_database">
      <option value=''/>
   </entry>
   <comment value="Default user." />
   <entry name="ingres.default_user">
      <option value=''/>
   </entry>
   <comment value="Default password." />
   <entry name="ingres.default_password">
      <option value=''/>
   </entry>
   <title name="Verisign Payflow Pro" />
   <comment value="Default Payflow Pro server." />
   <entry name="pfpro.defaulthost">
      <option value='&quot;test-payflow.verisign.com&quot;'/>
   </entry>
   <comment value="Default port to connect to." />
   <entry name="pfpro.defaultport">
      <option value='443'/>
   </entry>
   <comment value="Default timeout in seconds." />
   <entry name="pfpro.defaulttimeout">
      <option value='30'/>
   </entry>
   <comment value="Default proxy IP address (if required)." />
   <entry name="pfpro.proxyaddress">
      <option value=''/>
   </entry>
   <comment value="Default proxy port." />
   <entry name="pfpro.proxyport">
      <option value=''/>
   </entry>
   <comment value="Default proxy logon." />
   <entry name="pfpro.proxylogon">
      <option value=''/>
   </entry>
   <comment value="Default proxy password." />
   <entry name="pfpro.proxypassword">
      <option value=''/>
   </entry>
   <title name="Sockets" />
   <comment value="Use the system read() function instead of the php_read() wrapper." />
   <entry name="sockets.use_system_read">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <title name="com" />
   <comment value="path to a file containing GUIDs, IIDs or filenames of files with TypeLibs" />
   <entry name="com.typelib_file">
      <option value=''/>
   </entry>
   <comment value="allow Distributed-COM calls" />
   <entry name="com.allow_dcom">
      <option value='true'/>
   </entry>
   <comment value="autoregister constants of a components typlib on com_load()" />
   <entry name="com.autoregister_typelib">
      <option value='true'/>
   </entry>
   <comment value="register constants casesensitive" />
   <entry name="com.autoregister_casesensitive">
      <option value='false'/>
   </entry>
   <comment value="show warnings on duplicate constat registrations" />
   <entry name="com.autoregister_verbose">
      <option value='true'/>
   </entry>
   <title name="Printer" />
   <entry name="printer.default_printer">
      <option value='&quot;&quot;'/>
   </entry>
   <title name="mbstring" />
   <comment value="language for internal character representation." />
   <entry name="mbstring.language">
      <option value='Japanese'/>
   </entry>
   <comment value="internal/script encoding." />
   <comment value="Some encoding cannot work as internal encoding." />
   <comment value="(e.g. SJIS, BIG5, ISO-2022-*)" />
   <entry name="mbstring.internal_encoding">
      <option value='EUC-JP'/>
   </entry>
   <comment value="http input encoding." />
   <entry name="mbstring.http_input">
      <option value='auto'/>
   </entry>
   <comment value="http output encoding. mb_output_handler must be" />
   <comment value="registered as output buffer to function" />
   <entry name="mbstring.http_output">
      <option value='SJIS'/>
   </entry>
   <comment value="enable automatic encoding translation accoding to" />
   <comment value="mbstring.internal_encoding setting. Input chars are" />
   <comment value="converted to internal encoding by setting this to On." />
   <comment value="Note: Do _not_ use automatic encoding translation for" />
   <comment value="portable libs/applications." />
   <entry name="mbstring.encoding_translation">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <comment value="automatic encoding detection order." />
   <comment value="auto means" />
   <entry name="mbstring.detect_order">
      <option value='auto'/>
   </entry>
   <comment value="substitute_character used when character cannot be converted" />
   <comment value="one from another" />
   <entry name="mbstring.substitute_character">
      <option value='none'/>
   </entry>
   <comment value="overload(replace) single byte functions by mbstring functions." />
   <comment value="mail(), ereg(), etc are overloaded by mb_send_mail(), mb_ereg(),; etc. Possible values are 0,1,2,4 or combination of them." />
   <comment value="For example, 7 for overload everything." />
   <comment value="0: No overload" />
   <comment value="1: Overload mail() function" />
   <comment value="2: Overload str*() functions" />
   <comment value="4: Overload ereg*() functions" />
   <entry name="mbstring.func_overload">
      <option value='0'/>
   </entry>
   <title name="FrontBase" />
   <entry name="fbsql.allow_persistent">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <entry name="fbsql.autocommit">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <entry name="fbsql.default_database">
      <option value=''/>
   </entry>
   <entry name="fbsql.default_database_password">
      <option value=''/>
   </entry>
   <entry name="fbsql.default_host">
      <option value=''/>
   </entry>
   <entry name="fbsql.default_password">
      <option value=''/>
   </entry>
   <entry name="fbsql.default_user">
      <option value='&quot;_SYSTEM&quot;'/>
   </entry>
   <entry name="fbsql.generate_warnings">
      <option value='On'/>
      <option value='Off'/>
   </entry>
   <entry name="fbsql.max_connections">
      <option value='128'/>
   </entry>
   <entry name="fbsql.max_links">
      <option value='128'/>
   </entry>
   <entry name="fbsql.max_persistent">
      <option value='-1'/>
   </entry>
   <entry name="fbsql.max_results">
      <option value='128'/>
   </entry>
   <entry name="fbsql.batchSize">
      <option value='1000'/>
   </entry>
   <title name="Crack" />
   <comment value="Modify the setting below to match the directory location of the cracklib" />
   <comment value="dictionary files.  Include the base filename, but not the file extension." />
   <comment value="crack.default_dictionary = &quot;c:\php\lib\cracklib_dict&quot;" />
   <title name="exif" />
   <comment value="Exif UNICODE user comments are handled as UCS-2BE/UCS-2LE and JIS as JIS." />
   <comment value="With mbstring support this will automatically be converted into the encoding" />
   <comment value="given by corresponding encode setting. When empty mbstring.internal_encoding" />
   <comment value="is used. For the decode settings you can distinguish between motorola and" />
   <comment value="intel byte order. A decode setting cannot be empty." />
   <entry name="exif.encode_unicode">
      <option value='ISO-8859-15'/>
   </entry>
   <entry name="exif.decode_unicode_motorola">
      <option value='UCS-2BE'/>
   </entry>
   <entry name="exif.decode_unicode_intel">
      <option value='UCS-2LE'/>
   </entry>
   <entry name="exif.encode_jis">
      <option value=''/>
   </entry>
   <entry name="exif.decode_jis_motorola">
      <option value='JIS'/>
   </entry>
   <entry name="exif.decode_jis_intel">
      <option value='JIS'/>
   </entry>
   <comment value="Local Variables:" />
   <comment value="tab-width: 4" />
   <comment value="End:" />
</options>